Bug 616112 - IDs not set on admonitions or varlistentry
IDs not set on admonitions or varlistentry
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Hideo
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 13:23 EDT by Douglas Silas
Modified: 2010-11-23 22:59 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-10 19:26:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Silas 2010-07-19 13:23:01 EDT
Description of problem: setting the ID of an important admonition does not cause an anchor to be generated for that element, even if it is referenced via an xref. The xref does generate an href anchor that, however, is missing from the target. 

This is probably similar to bug 595564.


Version-Release number of selected component (if applicable):

version=2.1

How reproducible:

Steps to Reproduce:
1. xref to the ID of an important admonition
2. publican build (html-single in this case)
3. open document, click on link to admonition, no jump
  
Actual results:

nothing

Expected results:

jump to link

Additional info:

Generated link HTML is:

<a class="xref" href="#important-Smart_package_group_removal" title="Smart package group removal">Smart package group removal</a>

Generated target HTML is:

<h2>Smart package group removal</h2><a id="id4869860" class="indexterm"></a><a id="id4869872" class="indexterm"></a>
Comment 1 Douglas Silas 2010-07-19 13:42:36 EDT
Perhaps the creation of anchors for indexing overrides or affects the generated anchors?
Comment 2 Douglas Silas 2010-07-22 17:07:54 EDT
Note: this problem also occurs when linking to varlistentry elements.
Comment 3 Jeff Fearn 2010-08-04 02:04:14 EDT
Set IDs on admonitions & varlistentry

Fixed in Build: 2.1-0%{?dist}.t13
Comment 4 Ruediger Landmann 2010-08-06 00:26:53 EDT
Verified in 2.1.t20

Note You need to log in before you can comment on or make changes to this bug.